declare class Manager {
    ALL_GROUPS: string[][];
    constructor(all_groups: string[][]);
    getServiceIdByUrl(pathname: any): string;
    getModelsByServiceId(service_id: any): any[];
}
export default class {
    private service_id;
    private pathname;
    constructor(service_id: string);
    static getManager(all_groups: any): Manager;
    models(...models: any[]): void;
    views(...components: {
        path: string;
        component: any;
        like?: boolean;
    }[]): void;
    nodes(...nodes: any[]): void;
}
export {};
